=== src/libloader/CMakeLists.txt ===
include (LibAddMacros)

add_sources (elektra-full "static.c")

if (BUILD_SHARED)
	find_package (DL REQUIRED)
	if (DL_FOUND)
		add_sources (elektra-shared "dl.c")
		add_includes (elektra-shared ${DL_INCLUDE_DIRS})
		add_libraries (elektra-shared ${DL_LIBRARIES})
	else (DL_FOUND)
		message (ERROR "dl not found and no other module mechanism currently defined, see src/libloader")
	endif (DL_FOUND)
endif (BUILD_SHARED)
