=== debian/changelog ===
elektra (0.8.7-4) unstable; urgency=medium

  * Upload to unstable.
  * Do not compress files installed as examples.

 -- Pino Toscano <pino@debian.org>  Tue, 19 Aug 2014 20:19:38 +0200

elektra (0.8.7-3) experimental; urgency=medium

  * Adapt the install path of FindElektra.cmake to work also with cmake 3.
  * Bump the cmake build dependency to >= 2.8, as indicated by the upstream
    build system.
  * Tighten libelektra4 dependency in all the binary packages.
  * Install the C examples, the ones of the C++ bindings, and the external
    project ones in libelektra-dev.
  * Rename the lua and python3 autopkgtest as examples-lua and examples-python3
    since that's what they test.
  * Add a new examples-c-cpp autopkgtest to build and run (almost) all the
    C examples, the C++ examples, and the external project ones.
  * Install the bash completion for the kdb tool:
    - add the bash-completion build dependency
    - use the bash_completion dh addon
    - add a elektra-bin.bash-completion file
  * Update copyright.
  * Backport upstream commits e8d6404d0331fed369f0b133bbfe871f52c03488 and
    395c1ce36d530ea9edd5dcc269b74bf1901b8957 to fix/improve the handling of
    mode_t; patches upstream_cmake-check-and-store-the-size-of-mode_t.patch
    and upstream_Make-KEY_MODE-work-when-mode_t-is-not-the-same-as-in.patch.

 -- Pino Toscano <pino@debian.org>  Mon, 18 Aug 2014 23:18:11 +0200

elektra (0.8.7-2) experimental; urgency=medium

  * rules: fix typo in variable name.
  * Backport upstream commit b4ff5fa57ab0d7f63f0f71c0db621bdf8ec53d8f to
    properly pass the KEY_END marker in all the C++ Key::Key calls; patch
    upstream_Add-the-KEY_END-marker-on-key-creation-where-missing.patch.
  * Backport upstream commit 2bb9542d0c45622a8254156fbf2b876eaf21858f to
    switch from tmpnam to mkstemp in tests; patch
    upstream_tests-switch-from-tmpnam-to-mkstemp.patch.
  * Provide a temporary directory as HOME and TMPDIR for the tests.
  * Switch from PATH_MAX to KDB_MAX_PATH_LENGTH in kdb; patch path_max.diff.
  * Workaround in the bindings the ambiguous varargs constructors of the C++
    KeySet implementation (upstream bug #42); patch ambiguous_keyset_ctor.diff.

 -- Pino Toscano <pino@debian.org>  Wed, 13 Aug 2014 06:21:42 +0200

elektra (0.8.7-1) experimental; urgency=medium

  * New upstream release.
  * Update the patches:
    - upstream_swig-lua-python-fix-installation-directory.patch: drop,
      backported
    - upstream_install_lua.diff: drop, backported
    - upstream_Add-TARGET_LUA_CMOD_FOLDER-cmake-variable.patch: drop,
      backported
    - upstream_cmake-simplify-RPATH-setting.patch: drop, backported
    - spelling_fixes.diff: drop, fixed upstream
  * Update symbols file.
  * Build with an external gtest:
   - add the libgtest-dev build dependency
   - pass -DGTEST_ROOT to cmake
  * Update install files.
  * Rename -DBUILD_SWIG_PYTHON cmake variable to -DBUILD_SWIG_PYTHON3,
    as changed upstream.
  * Switch to swig 3.0, as it works better for the Python 3 bindings:
    - switch the swig build dependency to swig3.0
    - pass -DSWIG_EXECUTABLE to cmake
    - drop patch python_tests_skip_crash.diff, obsolete now
  * Fix path to the python3 examples.
  * Manually install the test data for the xmltool plugin, so its
    testmod_xmltool test pass.
  * Extend private_elektratools.diff to also set RPATH for the elektratools
    tests.
  * When not building elektra-doc, disable the build of the documentation:
    - in rules, put the common arguments for cmake in an own variable, hacking
      override_dh_auto_configure to pass -DBUILD_DOCUMENTATION=OFF in that case
    - move the docbook-xml, docbook-xsl, doxygen, graphviz, and xsltproc build
      dependencies to Build-Depends-Indep
  * Remove the docbook-xml, docbook-xsl, and xsltproc build dependencies,
    as they unused now.

 -- Pino Toscano <pino@debian.org>  Wed, 06 Aug 2014 23:25:31 +0200

elektra (0.8.6-1) experimental; urgency=medium

  * New upstream release.
  * Upstream switched from autotools to cmake, so:
    - drop the dh-autoreconf and libltdl-dev build dependencies
    - add the cmake build dependency
    - stop using the autoreconf dh addon
    - force the use of cmake as build system
    - drop patch docdata_install.diff, no more needed now
    - turn the configure arguments for plugin and apidox directories into
      cmake options
  * Drop libelektra-cpp library, since the C++ headers provide inline
    implementations, and move them to libelektra-dev.
  * Move libelektratools in a private location, since upstream does not
    consider it a public library yet, setting RPATH in kdb to load it; patch
    private_elektratools.diff:
    - disable libelektratoolsN and libelektratools-dev packages for now
  * Rename packages according to the new SONAMEs:
    - libelektra3 -> libelektra4
  * Update install files.
  * Update symbols files.
  * Update doc-base file.
  * Add a new elektra-tests package with the tools and data for the installed
    test suite.
  * Build all the tools and plugins:
    - add the libboost-dev, libdbus-1-dev, and libyajl-dev build dependencies
    - add the libelektra4-dbus, libelektra4-xmltool, and libelektra4-yajl
      packages for the respective plugins, as they bring additional
      dependencies
  * Backport upstream commit e609279f6ca78c39f8dd17f87a215d80c8464dde to set
    RPATH only for the plugin directory in the installation prefix; patch
    upstream_cmake-simplify-RPATH-setting.patch.
  * Start enabling the bindings:
    - pass -DBUILD_SWIG=ON to cmake
    - add the swig build dependency
  * Enable the Lua bindings:
    - add the lua-elektra package
    - add the dh-lua build dependency
    - use the lua dh addon
    - backport upstream commits 27a24cfe85057825afb6f9fca5d4b2dc70d8cf9b and
      8e242a850e051c98a31aaf93bad09778e81a20f8 to install the bindings in the
      correct location; patches upstream_install_lua.diff and

