=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PY3VER = $(shell py3versions -d -v)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
CMAKE_ARGS = -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
  -DTARGET_PLUGIN_FOLDER="elektra4" \
  -DPLUGINS="ALL" \
  -DTOOLS="ALL" \
  -DBUILD_STATIC=OFF \
  -DBUILD_SWIG=ON -DSWIG_EXECUTABLE="/usr/bin/swig3.0" \
  -DBUILD_SWIG_LUA=ON \
  -DBUILD_SWIG_PYTHON3=ON -DPython_ADDITIONAL_VERSIONS="$(PY3VER)" \
  -DGTEST_ROOT="/usr/src/gtest" \
  -DTARGET_DOCUMENTATION_HTML_FOLDER="share/doc/elektra-doc/html"
CMAKE_ARGS_arch = -DBUILD_DOCUMENTATION=OFF
T = $(CURDIR)/teststmp

%:
	dh $@ --parallel --buildsystem=cmake --with lua,python3,bash_completion

override_dh_auto_configure:
ifneq (,$(filter %-doc,$(shell dh_listpackages)))
	dh_auto_configure --buildsystem=cmake -- $(CMAKE_ARGS)
else
	dh_auto_configure --buildsystem=cmake -- $(CMAKE_ARGS) $(CMAKE_ARGS_arch)
endif

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p "$(T)"
	cd obj-* && env HOME="$(T)" TMPDIR="$(T)" ctest --output-on-failure -E 'testscr_.*'
	find "$(T)" | sort
	rm -rf "$(T)"
endif

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/tmp \( -name '*.map' -o -name '*.md5' \) -delete

override_dh_install:
	dh_install --list-missing

override_dh_compress:
	dh_compress -X.lua -Xexamples

override_dh_strip:
	dh_strip --dbg-package=elektra-dbg

override_dh_makeshlibs:
	dh_makeshlibs -Xusr/lib/$(DEB_HOST_MULTIARCH)/elektra4
